Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 262448 - Some keywords from ECMAScript 6 are not offered by code completion
Some keywords from ECMAScript 6 are not offered by code completion
Status: RESOLVED FIXED
Product: javascript
Classification: Unclassified
Component: Editor
8.2
PC Linux
: P3 (vote)
: 8.2
Assigned To: Petr Pisl
issues@javascript
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-15 15:08 UTC by Petr Pisl
Modified: 2016-06-20 09:08 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Pisl 2016-06-15 15:08:24 UTC
Comment from issue #242387

> Seems like ecmascript 6 changes has been integrated in main build.
> But I can't get the code completion for even 'const', 'let' and 'class'
> keywords.
> Should I file a bug or is the code completion yet to be implemented ?
Comment 1 Quality Engineering 2016-06-16 01:52:19 UTC
Integrated into 'main-silver', will be available in build *201606160002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/e231d7f54192
User: Petr Pisl <ppisl@netbeans.org>
Log: #262448 - Some keywords from ECMAScript 6 are not offered by code completion


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo